RFR: 8157847: Deprecate the java.security.acl API with forRemoval=true

Wang Weijun weijun.wang at oracle.com
Fri Jul 1 13:30:27 UTC 2016


Change looks fine.

Thanks
Max

> On Jul 1, 2016, at 8:31 PM, Sean Mullan <sean.mullan at oracle.com> wrote:
> 
> Please review the changes for this RFE to mark the java.security.acl API with forRemoval=true. The intention is to remove this API in JDK 10.
> 
> The APIs in java.security.acl were deprecated in 1.9 but have had the following warning in the package description for many releases:
> 
> "The classes and interfaces in this package have been superseded by classes in the java.security package. See that package and, for example, java.security.Permission for details."
> 
> Since there have been suitable replacements since 1.2, there is no reason to retain this package and it should be removed.
> 
> webrev: http://cr.openjdk.java.net/~mullan/webrevs/8157847/webrev.00/
> 
> --Sean



More information about the security-dev mailing list